Acrobat compatibility with the new
MacOS 10.15 Catalina

The latest versions of Acrobat DC (October 2019), Acrobat 2017 and Acrobat 2015 are compatible with MacOS 10.15 (Catalina).

Due to the changes (especially in the area of security) in MacOS 10.15, there are several changes in the user interface of Acrobat. Many operations require additional confirmations. You may need to enable permissions to access the folder in the Mac Security Preferences.

CAUTION: Before switching from Acrobat to Catalina, check that all plug-ins (and other programs) are compatible with the new operating system version. The Enfocus products, for example, do not yet officially support Catalina.


(Visited 147 times)

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.